6d69a1bd81e4

Binify more stuff
[view raw] [browse files]
author Steve Losh <steve@stevelosh.com>
date Mon, 13 Jul 2020 11:49:12 -0400
parents 05244afc5b3f
children ccc0ace2e343
branches/tags (none)
files bin/hi bin/ms-to-utc bin/sec-to-utc fish/functions/ms-to-utc.fish

Changes

--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/hi	Mon Jul 13 11:49:12 2020 -0400
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+set -m
+
+REGEX="$1"
+shift
+
+batchcolor '('"$REGEX"')'
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/ms-to-utc	Mon Jul 13 11:49:12 2020 -0400
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+SEC="$(echo "$1" | sed -e 's/...$//')"
+sec-to-utc "$SEC"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/sec-to-utc	Mon Jul 13 11:49:12 2020 -0400
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+date --utc --date="@$1"
--- a/fish/functions/ms-to-utc.fish	Mon Jul 13 11:49:02 2020 -0400
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,3 +0,0 @@
-function ms-to-utc -d "convert epoch milliseconds to UTC"
-    date -ur (echo -n $argv[1] | sed -e 's/...$//')
-end